# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.ClassifyReso200Response do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :value
  ]

  @type t :: %__MODULE__{
    :value => [FoyerAPI.Model.ClassifyReso200ResponseValueInner.t] | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.ClassifyReso200Response do
  import FoyerAPI.Deserializer
  def decode(value, options) do
    value
    |> deserialize(:value, :list, FoyerAPI.Model.ClassifyReso200ResponseValueInner, options)
  end
end

